OCI-Lob::saveFile
OCI-Lob::setBuffering
OCI-Lob
PHP Manual

# OCI-Lob::seek

Sets the internal pointer of the large object

### Description

bool OCI-Lob::seek ( int `$offset` [, int `$whence` = `OCI_SEEK_SET` ] )

Sets the internal pointer of the large object.

### Parameters

`offset`

  Indicates the amount of bytes, on which internal pointer should be moved from the position, pointed by `whence`.

`whence`

  May be one of:

  - `OCI_SEEK_SET` - sets the position equal to `offset`
  - `OCI_SEEK_CUR` - adds `offset` bytes to the current position
  - `OCI_SEEK_END` - adds `offset` bytes to the end of large object (use negative value to move to a position before the end of large object)

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- OCI-Lob::rewind
- OCI-Lob::tell
- OCI-Lob::eof